import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';

export interface DialogOption {
    label: string;
    labelBulk?: string;
    description: string;
    descriptionBulk?: string;
    extraOptionLabel?: string;
    extraOptionDescription?: string;
    extraOptionPlaceholder?: string;
}

export const redactTextTranslations: Record<'onlyHere' | 'inDocument' | 'inDossier', DialogOption> = {
    onlyHere: {
        label: _('redact-text.dialog.content.options.only-here.label'),
        description: _('redact-text.dialog.content.options.only-here.description'),
    },
    inDocument: {
        label: _('redact-text.dialog.content.options.in-document.label'),
        description: _('redact-text.dialog.content.options.in-document.description'),
    },
    inDossier: {
        label: _('redact-text.dialog.content.options.in-dossier.label'),
        description: _('redact-text.dialog.content.options.in-dossier.description'),
        extraOptionLabel: _('redact-text.dialog.content.options.in-dossier.extraOptionLabel'),
    },
} as const;

export const editRedactionTranslations: Record<'onlyHere' | 'inDocument', DialogOption> = {
    onlyHere: {
        label: _('edit-redaction.dialog.content.options.only-here.label'),
        description: _('edit-redaction.dialog.content.options.only-here.description'),
    },
    inDocument: {
        label: _('edit-redaction.dialog.content.options.in-document.label'),
        description: _('edit-redaction.dialog.content.options.in-document.description'),
    },
} as const;
